<?php
require_once SSC_APPLICATION_PATH . '/controllers/Abstract/Admin.php';

class Ssc_Controller_AdminController
    extends Ssc_Controller_Abstract_Admin
{
    public function indexAction()
    {
        $form = Ssc_Application::getForm('Admin');
        $form->load();
        if ($_POST) {
            $form->setValues($_POST);
            if ($form->isValid()) {
                $form->save();
                $this->_addMessage('Settings saved successfully');
            } else {
                foreach ($form->getErrors() as $error) {
                    $this->_addMessage($error, 'error');
                }
            }
        }

        $this->_view->form = $form;
    }

    public function headAction()
    {
        $this->_layoutScript = NULL;
    }
}