<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Factor/Abstract/Bool.php';

class Ssc_Service_SeoScore_Factor_ImgAltContain
    extends Ssc_Service_SeoScore_Factor_Abstract_Bool
{
    protected $_label = 'Content contains at least one image with the keyword in ALT attribute.';

    public function analyze($service)
    {
        return $this->setValue((bool) $service->keywordInPattern(
            '~<\s*img\b[^>]*\balt=[\'"](.*?)[\'">]~isu',
            NULL, FALSE, 'post_html'));
    }
}
