<?php
require_once SSC_APPLICATION_PATH . '/services/SeoScore/Factor/Abstract/Numeric.php';

class Ssc_Service_SeoScore_Factor_KeywordDensity
    extends Ssc_Service_SeoScore_Factor_Abstract_Numeric
{
    protected $_label = 'Keyword Density';
    protected $_metaName = 'density';

    public function analyze($service)
    {
        $this->setValue($service->analyzeHtmlWords('keyword_density_percent'));
    }

    public function formatValue($value)
    {
        return sprintf('%01.1f', $value);
    }
}
